Bug 72304 - generated SSL cert RPMs are too liberally permissive
generated SSL cert RPMs are too liberally permissive
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-08-22 17:13 EDT by Todd Warner
Modified: 2007-07-31 15:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-23 12:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2002-08-22 17:13:13 EDT
ls -l /etc/sysconfig/rhn produces:

-rw-r--r--    1 root     root         rhns-ca-cert-1.0-1.noarch.rpm
-rw-r--r--    1 root     root         rhns-ca-cert-1.0-1.src.rpm
-rw-r--r--    1 root     root         rhns-ssl-cert-1.0-1.noarch.rpm
-rw-r--r--    1 root     root         rhns-ssl-cert-1.0-1.src.rpm

Note: probably should not allow just anyone to copy the
server/satellite/proxy -side certs... and maybe even the client-side certs as 
Comment 1 Mihai Ibanescu 2002-08-22 18:58:24 EDT
Fixed in the latest code.
Comment 2 Josef Komenda 2002-08-23 14:04:06 EDT
Confirmed good in latest build, closing.

Note You need to log in before you can comment on or make changes to this bug.